How can i find which release of OSGI is supported by CQ5.5 .?

By : VAr
Source: Stackoverflow.com
Question!

How can we find which release of OSGi is supported by CQ5.5 version, Is there any log file where i can find out the OSGi release in the CQ5 product?

By : VAr


Answers

The implementation of OSGi used by CQ is Apache Felix, which implements OSGi Service Platform Release 4.

You can find out more detail about CQ's Technical Foundation at http://dev.day.com/docs/en/cq/5-5/exploring/concepts.html

By : Tuan Dang


CQ5.5 uses Apache Felix which is

... a community effort to implement the OSGi R4 Service Platform and other interesting OSGi-related technologies under the Apache license

The references to OSGI in the javadocs at dev.day.com point to R4 v4.2 specifically. This matches the compliance tests for the felix project

If you're building against the OSGI APIs in your application, then you'll need to add the following to your project pom.xml (assuming you're using maven):

By : diffa


in CQ 5.6 we don't use the org.ogsi dependencies anymore. instead we have (amongst others)

By : Batavia


This video can help you solving your question :)
By: admin